# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-07 20:51
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('marketing', '0015_auto_20171001_0259'),
        ('offer', '0013_auto_20171007_1623'),
    ]

    operations = [
        migrations.CreateModel(
            name='RangeSEOText',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'verbose_name': 'SEO текст',
                'verbose_name_plural': 'SEO тексты',
            },
        ),
        migrations.AddField(
            model_name='range',
            name='seo_description',
            field=models.TextField(blank=True, max_length=100, verbose_name='описание (description)'),
        ),
        migrations.AddField(
            model_name='range',
            name='seo_keywords',
            field=models.CharField(blank=True, max_length=1024, verbose_name='ключевые слова (keywords)'),
        ),
        migrations.AddField(
            model_name='range',
            name='seo_og_description',
            field=models.TextField(blank=True, max_length=100, verbose_name='описание в соц. сетях '),
        ),
        migrations.AddField(
            model_name='range',
            name='seo_og_image',
            field=models.ImageField(blank=True, upload_to='', verbose_name='превью для соц. сетей'),
        ),
        migrations.AddField(
            model_name='range',
            name='seo_og_title',
            field=models.CharField(blank=True, max_length=60, verbose_name='заголовок в соц. сетях'),
        ),
        migrations.AddField(
            model_name='range',
            name='seo_title',
            field=models.CharField(blank=True, max_length=60, verbose_name='заголовок страницы (title)'),
        ),
        migrations.AddField(
            model_name='rangeseotext',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='seo_texts', to='offer.Range', verbose_name='ассортимент'),
        ),
        migrations.AddField(
            model_name='rangeseotext',
            name='seo_text',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ranges', to='marketing.SEOText', verbose_name='SEO тект'),
        ),
    ]
